FF 3.5 version ? Rated 5 out of 5 stars

What a great add-on !

But, please ! It's too cool to stop now.

Firefox 3.5 realy needs an upgraded version (And the sooner it will be ready, the better it will be...).

Thank you very much !

This review is for a previous version of the add-on (3.0.1).